select

sqd.origin,
sqd.robot,
sqd.probe,
sqd.source as QoS_Source,
ccs.name as QoS_Device_Name,
sqd.qos QoS_Name,
sqd.target,
sqs.samplevalue,
sqs.sampletime


from S_QOS_DATA sqd


INNER JOIN CM_CONFIGURATION_ITEM_METRIC ccim on ccim.ci_metric_id = sqd.ci_metric_id

INNER JOIN CM_CONFIGURATION_ITEM cci on cci.ci_id = ccim.ci_id

INNER JOIN CM_DEVICE cmd on cmd.dev_id = cci.dev_id

INNER JOIN CM_COMPUTER_SYSTEM ccs on ccs.cs_id = cmd.cs_id

INNER JOIN S_QOS_SNAPSHOT sqs on sqs.table_id = sqd.table_id

--- sampletime based filter ---
where sqs.sampletime < dateadd(hour, -1, getdate())

order by sqd.origin,sqd.robot, sqd.probe, ccs.name, sqd.qos,sqd.target
